import { CancelableEvent } from "@skeldjs/events";
import { CheckColorMessage } from "@skeldjs/protocol";
import { Color } from "@skeldjs/constant";
import { RoomEvent } from "../RoomEvent";
import { ProtocolEvent } from "../ProtocolEvent";
import { PlayerEvent } from "./PlayerEvent";
import { Hostable } from "../../Hostable";
import { PlayerData } from "../../PlayerData";
/**
 * Emitted when a player requests to have their color set. Only emitted if the
 * client is the host.
 */
export declare class PlayerCheckColorEvent<RoomType extends Hostable = Hostable> extends CancelableEvent implements RoomEvent, PlayerEvent, ProtocolEvent {
    readonly room: RoomType;
    readonly player: PlayerData<RoomType>;
    readonly message: CheckColorMessage | undefined;
    /**
     * The original color that the player asked for.
     */
    readonly originalColor: Color;
    /**
     * The altered color, i.e. the original color was taken.
     */
    alteredColor: Color;
    static eventName: "player.checkcolor";
    eventName: "player.checkcolor";
    constructor(room: RoomType, player: PlayerData<RoomType>, message: CheckColorMessage | undefined, 
    /**
     * The original color that the player asked for.
     */
    originalColor: Color, 
    /**
     * The altered color, i.e. the original color was taken.
     */
    alteredColor: Color);
    /**
     * Change the altered color for the player to have set.
     * @param color The color to set.
     */
    setColor(color: Color): void;
}
//# sourceMappingURL=CheckColor.d.ts.map