"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PlayerStartMeetingEvent = void 0;
const events_1 = require("@skeldjs/events");
/**
 * Emitted when a meeting is started, either by a player reporting a body or
 * calling an emergency meetting.
 *
 * This guarantees that the meeting has actually started, see
 * {@link PlayerReportDeadBodyEvent} for an event that can prevent a meeting from
 * being started if you are the host.
 */
class PlayerStartMeetingEvent extends events_1.BasicEvent {
    constructor(room, player, message, 
    /**
     * The player who called the meeting, either by reporting a body or
     * calling an emergency meeting.
     */
    caller, 
    /**
     * The player of the body that was reported, or "emergency" if the
     * meeting is an emergency meeting.
     */
    body) {
        super();
        this.room = room;
        this.player = player;
        this.message = message;
        this.caller = caller;
        this.body = body;
        this.eventName = "player.startmeeting";
    }
}
exports.PlayerStartMeetingEvent = PlayerStartMeetingEvent;
PlayerStartMeetingEvent.eventName = "player.startmeeting";
//# sourceMappingURL=StartMeeting.js.map