"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RoomGameEndEvent = void 0;
const events_1 = require("@skeldjs/events");
/**
 * Emitted when a game ends.
 *
 * See {@link RoomEndGameIntentEvent} to cancel or listen
 * for before a game is ended.
 */
class RoomGameEndEvent extends events_1.BasicEvent {
    constructor(room, 
    /**
     * The reason for why the game ended. See {@link GameOverReason}
     */
    reason) {
        super();
        this.room = room;
        this.reason = reason;
        this.eventName = "room.gameend";
    }
}
exports.RoomGameEndEvent = RoomGameEndEvent;
RoomGameEndEvent.eventName = "room.gameend";
//# sourceMappingURL=GameEnd.js.map